@import "libs/shared/assets/src/global-style/color";
@import "libs/shared/assets/src/global-style/variable";

::ng-deep {
  .ant-modal {
    .label {
      font-weight: bold;
    }
  }
}
.modal-left {
  z-index: 999;
  background: $white-color;
  ::ng-deep {
    .mat-tree-node {
      min-height: 2rem;
    }

    .ant-tree {
      margin-top: 16px;
    }

    .ant-tree-treenode-selected {
      color: $primary-button-color;
      font-weight: 600;
      border-left: 4px solid $primary-button-color;
      background: $background-main;
    }

    .ant-tree-node-content-wrapper {
      background-color: inherit;
    }
    .mat-icon-button {
      width: 20px;
      height: 20px;
      line-height: 19px;
    }
    .mat-icon-button {
      width: 20px;
      height: 20px;
      line-height: 19px;
    }
  }
  &__label {
    font-weight: bold;
    width: 100%;
    background: $white-color;
  }
  &__tree {
    height: 700px;
    overflow: hidden;
    white-space: nowrap;
    border-right: 3px solid $background-primary-button-color;
    &__icon {
      width: 9px;
      height: 9px;
    }
  }
  &__tree:hover {
    overflow-y: auto;
  }
  span {
    font-family: avertaR, sans-serif;
  }
  span:hover {
    cursor: pointer;
    color: $text-hover;
  }
}
.modal-right {
  width: 100%;
  position: absolute;
  right: 0;
  padding-left: 24px;
  ::ng-deep {
    .ant-pagination {
      float: right;
      margin-top: 0;
    }
    .ant-pagination-item-link {
      border-radius: 8px;
      display: flex !important;
      align-items: center;
      justify-content: center;
    }
    .ant-pagination-item-link-icon {
      margin-right: 14px;
    }

    .ant-pagination-item {
      border-radius: 8px;
    }
    .ant-pagination-item-active {
      border-color: $primary-button-color;
      border-radius: 8px;
      a {
        color: $primary-button-color;
      }
    }
    .ant-pagination-next {
      margin-right: 18px;
    }
  }
  &__label {
    font-weight: bold;
    margin-bottom: 1rem;
  }
  &__search-input {
    align-items: baseline;
  }
  input {
    border-radius: 8px;
    min-height: 40px;
  }
  button {
    background: $background-primary-button-color;
    color: $primary-button-color;
    border-radius: 8px;
    padding: 10px 24px;
    display: flex;
    min-height: 40px;
    border-color: initial;
    border: initial;
    margin-left: 16px;
    font-weight: bold;
    align-items: center !important;
  }
}
.pagination {
  display: flex;
  justify-content: space-between;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    &--text {
      white-space: normal;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: $text-pagination;
    }
  }
}
.selected-node {
    color: $primary-button-color;
    font-weight: 600;
    border-left: 4px solid $primary-button-color;
    background: $background-main;
  }

.first-node {
    font-weight: 600;
}
.text-ellipsis {
  display: block;
  max-width: 686px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.footer {
  display:flex;
  justify-content:flex-end;
  align-items:center;
  margin-top: 20px;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}


.icon-expand {
  border: none;
  background: none;
}
.main-job-card {
  margin: 12px 0px;
  border-radius: 16px;

  &__row {
    margin-top: 16px;
  }
  &__left {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__center {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__right {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
}
.style-chk {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.txt-disable{
  color: $bg-gray-label;
}
.body-table {
  .disable-row {
    background: $gray-300;
    color: $bg-gray-label;
  }
}
